$(function() {
    $('.page-container').scrollbar().addClass('scrollbar-macosx');
    $('.scrollable').scrollbar().addClass('scrollbar-macosx');
	$.fn.selectListTrigger = function(eventName) {
        return this.each(function() {
            var el = $(this).get(0);
            triggerNativeEvent(el, eventName);
        });
    };

    function triggerNativeEvent(el, eventName){
		if (el.fireEvent) { // < IE9
			(el.fireEvent('on' + eventName));
		} else {
			var evt = document.createEvent('Events');
			evt.initEvent(eventName, true, false);
			el.dispatchEvent(evt);
		}
	}
	
	$('[data-init-plugin="select2"]').on('select2:select', function (e) {
		$(this).selectListTrigger('change');
	});

    $('body').on('click', '.requestModal', function () {
        let type = $(this).attr('data-type');
        if(type){ $(this).closest('.parentContainer').find('.modalContainer[data-type="'+type+'"]').modal('show'); }
    });

    $('body').on('click', '.tabButton', function(){
        let tabName = $(this).attr('tab-name');
        $(this).closest('.tabsContainer').find('.tabButton').not($(this).closest('.tabsContainer').find('.tabsContainer .tabButton')).removeClass('active');
        $(this).addClass('active');

        $(this).closest('.tabsContainer').find('.tabContent:not(.hide)').not($(this).closest('.tabsContainer').find('.tabsContainer .tabContent')).addClass('hide');
        $(this).closest('.tabsContainer').find('.tabContent[tab-name="'+tabName+'"]').not($(this).closest('.tabsContainer').find('.tabsContainer .tabContent')).removeClass('hide');
    });

    $('.scrollable').scrollbar().addClass('scrollbar-macosx');

    if($('#maintenanceContainer').length >0 ){
        VANTA.BIRDS({
            el: "#maintenanceContainer",
            backgroundColor: 0xf9f9f9,
            wingSpan: 40.00,
            separation: 100.00,
            alignment: 100.00,
            cohesion: 100.00,
            quantity: 2.00
        })
    }

    $.fn.select2.defaults.set( "theme", "bootstrap" );
    $.fn.select2.defaults.set( "containerCssClass", "form-control" );

});